<script setup>
defineProps(["inicio", "fin", "maxLength"])
const emit = defineEmits(["next", "preview"])
</script>

<template>
    <div class="btn-group">
        <button 
            @click="emit('preview')" 
            :disabled="inicio <= 0"
            class="btn btn-outline-primary"
        >Preview</button>
        <button 
            @click="emit('next')"
            :disabled="fin >= maxLength"
            class="btn btn-outline-primary"
        >Next</button>
    </div>
</template>